### Name: getResidPerGene
### Title: Row-by-Row Linear-Model Residuals for Gene Expression (or
###   similar) Data Structures
### Aliases: getResidPerGene
### Keywords: methods

### ** Examples

data(sample.ExpressionSet)
lm1 = lmPerGene(sample.ExpressionSet,~sex)
r1 = getResidPerGene(lm1)
### now a boxplot of all residuals by sample
resplot(resmat=exprs(r1),fac=sample.ExpressionSet$sex)
### This plot is not very informative because of some gross outliers;
### try this instead
resplot(resmat=exprs(r1),fac=sample.ExpressionSet$sex,lims=c(-5,5))




